Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director
Interface InnerScoreDirectorFactory

All Superinterfaces:
  ScoreDirectorFactory

All Known Implementing Classes:
  AbstractScoreDirectorFactory, DroolsScoreDirectorFactory, EasyScoreDirectorFactory, IncrementalScoreDirectorFactory

    public interface InnerScoreDirectorFactory

extends ScoreDirectorFactory

Method Summary
`void` | `assertScoreFromScratch(Solution solution)` Asserts that if the `Score` is calculated for the parameter solution, it would be equal to the `Solution.getScore()` of that parameter.
`InnerScoreDirector` | `buildScoreDirector()` Creates a new `ScoreDirector` instance.
`InnerScoreDirector` | `buildScoreDirector(boolean constraintMatchEnabledPreference)` Like `buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).
`InitializingScoreTrend` | `getInitializingScoreTrend()`
`ScoreDefinition` | `getScoreDefinition()`
`SolutionDescriptor` | `getSolutionDescriptor()`

Method Detail

### getSolutionDescriptor

    SolutionDescriptor getSolutionDescriptor()

  Returns:
    never null

### getScoreDefinition

    ScoreDefinition getScoreDefinition()

  Returns:
    never null

### buildScoreDirector

    InnerScoreDirector buildScoreDirector()

  Description copied from interface: `ScoreDirectorFactory`
  Creates a new `ScoreDirector` instance.

  Specified by:
    `buildScoreDirector` in interface `ScoreDirectorFactory`
  Returns:
    never null

### buildScoreDirector

    InnerScoreDirector buildScoreDirector(boolean constraintMatchEnabledPreference)

  Like `buildScoreDirector()`, but optionally disables `ConstraintMatch` tracking for more performance (presuming the `ScoreDirector` implementation actually supports it to begin with).

  Parameters:
    `constraintMatchEnabledPreference` - false if a `ScoreDirector` implementation should not do `ConstraintMatch` tracking even if it supports it.
  Returns:
    never null
  See Also:
    `ScoreDirector.isConstraintMatchEnabled()`, `ScoreDirector.getConstraintMatchTotals()`

### getInitializingScoreTrend

    InitializingScoreTrend getInitializingScoreTrend()

  Returns:
    never null

### assertScoreFromScratch

    void assertScoreFromScratch(Solution solution)

  Asserts that if the `Score` is calculated for the parameter solution, it would be equal to the `Solution.getScore()` of that parameter.

  Parameters:
    `solution` - never null
  See Also:
    `InnerScoreDirector.assertWorkingScoreFromScratch(Score, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.